package com.sifang.modules.supply.stock.excel;

import com.sifang.modules.sys.util.excel.ExcelField;

import javax.persistence.ManyToOne;
import java.math.BigDecimal;
import java.util.Date;

public class SupplyDeliverOrderExcel {
    private String sort;
    private String number;
    private String status;
    private String outWarehouseName;
    private String deliver_method_name;
    private String place_name;
    private String inWarehouseName;
    private String person_in_charge;
    private String mobile;
    private String address;
    private String applyOrderNumber;
    private String deliver_remark;
    private String remarks;
    private Date create_time;
    private Date deliver_time;
    private String materialCode;
    private String materialTypeName;
    private String materialGroupName;
    private String unit;
    private String materialRemarks;
    private BigDecimal apply_amount;
    private BigDecimal out_amount;

    @ManyToOne
    @ExcelField(title="排序", align=2, sort=10)
    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    @ManyToOne
    @ExcelField(title="发货单号", align=2, sort=20)
    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    @ManyToOne
    @ExcelField(title="订单状态", align=2, sort=30)
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @ManyToOne
    @ExcelField(title="出库仓库", align=2, sort=40)
    public String getOutWarehouseName() {
        return outWarehouseName;
    }

    public void setOutWarehouseName(String outWarehouseName) {
        this.outWarehouseName = outWarehouseName;
    }

    @ManyToOne
    @ExcelField(title="发货方式", align=2, sort=50)
    public String getDeliver_method_name() {
        return deliver_method_name;
    }

    public void setDeliver_method_name(String deliver_method_name) {
        this.deliver_method_name = deliver_method_name;
    }

    @ManyToOne
    @ExcelField(title="下单人", align=2, sort=60)
    public String getPlace_name() {
        return place_name;
    }

    public void setPlace_name(String place_name) {
        this.place_name = place_name;
    }

    @ManyToOne
    @ExcelField(title="入库仓库", align=2, sort=70)
    public String getInWarehouseName() {
        return inWarehouseName;
    }

    public void setInWarehouseName(String inWarehouseName) {
        this.inWarehouseName = inWarehouseName;
    }

    @ManyToOne
    @ExcelField(title="接货人", align=2, sort=80)
    public String getPerson_in_charge() {
        return person_in_charge;
    }

    public void setPerson_in_charge(String person_in_charge) {
        this.person_in_charge = person_in_charge;
    }

    @ManyToOne
    @ExcelField(title="联系方式", align=2, sort=90)
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @ManyToOne
    @ExcelField(title="收货地址", align=2, sort=100)
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @ManyToOne
    @ExcelField(title="订单编号", align=2, sort=110)
    public String getApplyOrderNumber() {
        return applyOrderNumber;
    }

    public void setApplyOrderNumber(String applyOrderNumber) {
        this.applyOrderNumber = applyOrderNumber;
    }

    @ManyToOne
    @ExcelField(title="发货备注", align=2, sort=120)
    public String getDeliver_remark() {
        return deliver_remark;
    }

    public void setDeliver_remark(String deliver_remark) {
        this.deliver_remark = deliver_remark;
    }

    @ManyToOne
    @ExcelField(title="下单备注", align=2, sort=130)
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @ManyToOne
    @ExcelField(title="下单时间", align=2, sort=140)
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    @ManyToOne
    @ExcelField(title="发货时间", align=2, sort=150)
    public Date getDeliver_time() {
        return deliver_time;
    }

    public void setDeliver_time(Date deliver_time) {
        this.deliver_time = deliver_time;
    }

    @ManyToOne
    @ExcelField(title="物料代码", align=2, sort=160)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    @ManyToOne
    @ExcelField(title="物料类型", align=2, sort=170)
    public String getMaterialTypeName() {
        return materialTypeName;
    }

    public void setMaterialTypeName(String materialTypeName) {
        this.materialTypeName = materialTypeName;
    }

    @ManyToOne
    @ExcelField(title="物料组", align=2, sort=180)
    public String getMaterialGroupName() {
        return materialGroupName;
    }

    public void setMaterialGroupName(String materialGroupName) {
        this.materialGroupName = materialGroupName;
    }

    @ManyToOne
    @ExcelField(title="单位", align=2, sort=190)
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @ManyToOne
    @ExcelField(title="物料描述", align=2, sort=200)
    public String getMaterialRemarks() {
        return materialRemarks;
    }

    public void setMaterialRemarks(String materialRemarks) {
        this.materialRemarks = materialRemarks;
    }

    @ManyToOne
    @ExcelField(title="下单数量", align=2, sort=210)
    public BigDecimal getApply_amount() {
        return apply_amount;
    }

    public void setApply_amount(BigDecimal apply_amount) {
        this.apply_amount = apply_amount;
    }

    @ManyToOne
    @ExcelField(title="实发数量", align=2, sort=210)
    public BigDecimal getOut_amount() {
        return out_amount;
    }

    public void setOut_amount(BigDecimal out_amount) {
        this.out_amount = out_amount;
    }
}
